Bug 654113 - Change any reference to 'software license' to 'subscription' (or appropriate equivalent)
Summary: Change any reference to 'software license' to 'subscription' (or appropriate ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Jesus M. Rodriguez
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-11-16 21:56 UTC by Amanda Carter
Modified: 2015-05-14 15:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-23 21:51:37 UTC


Attachments (Terms of Use)

Description Amanda Carter 2010-11-16 21:56:13 UTC
From Richard Fontana (legal):

The following message and any other instance of the phrase 'software license' needs to be udpated to say 'subscription' instead of 'software license'

  This System is Non-Compliant
  
  This system is missing one or more subscriptions required for
  compliance with your software license agreements.

"Red Hat does not have a proprietary software licensing model; it sells
subscriptions, not licenses. Customers that are out of compliance with their subscription agreements are usually in compliance with the actual software license. If that got out in public it could cause embarrassment to Red Hat, similar to the recent document that suggested that customers might need to deinstall RHEL, and possibly even raise legal questions about our subscription agreement."

Comment 1 Amanda Carter 2010-11-16 21:57:03 UTC
*required for beta

Comment 2 Jesus M. Rodriguez 2010-11-19 13:52:26 UTC
fixed in master by commit 1f8e393db47e82e2340fd5041fa2a49f873096fa

Comment 3 John Sefler 2011-01-06 16:43:37 UTC
looking at commit 1f8e393db47e82e2340fd5041fa2a49f873096fa, I see changes like these:

-			"software license agreements.");
+			"subscription agreements.");

-"subscriptions are required for compliance with your software license "
-"agreements."
+"subscriptions are required for compliance with your subscription agreements."

-"with your software license agreements."
+"with your subscription agreements."


Now let's grep the current state of all the client subscription-manager code from master...

[jsefler@jsefler subscription-manager]$ git show-ref master
3545a2a23b7dff3fb3f01c9d5cbf3d49c26bfd1a refs/heads/master
3545a2a23b7dff3fb3f01c9d5cbf3d49c26bfd1a refs/remotes/origin/master

[jsefler@jsefler subscription-manager]$ ls
etc-conf  Makefile  man  po  rel-eng  src  subscription-manager.spec  test

[jsefler@jsefler subscription-manager]$ find . -wholename "*" | xargs -i[] grep -i  license "[]"
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
* This software is licensed to you under the GNU General Public License,
* http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
* Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
* This software is licensed to you under the GNU General Public License,
* http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
* Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
License: GPLv2
- 654113: software license -> subscription (jesusr@redhat.com)
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This software is licensed to you under the GNU General Public License,
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
# Red Hat trademarks are not licensed under GPLv2. No permission is
# This file is distributed under the same license as the PACKAGE package.
# This file is distributed under the same license as the PACKAGE package.


^^^ LOOKS LIKE ALL OCCURRENCES OF THE WORD "license" ARE IN COMMENTS/HEADERS.

moving to VERIFIED.


For the fun of it, here are all file/content occurrences of the word "agreement"...

[jsefler@jsefler subscription-manager]$ find . -wholename "*" | xargs -i[] grep  -i -l  "agreement" "[]"
./src/compliance/rhsm_compliance_icon.c
./po/keys.pot
./po/en_US.po
[jsefler@jsefler subscription-manager]$ find . -wholename "*" | xargs -i[] grep  -i   "agreement" "[]"
			"subscription agreements.");
			"subscription agreements.");
"with your subscription agreements."
"subscriptions are required for compliance with your subscription agreements."
"with your subscription agreements."
"with your subscription agreements."
"subscriptions are required for compliance with your subscription agreements."
"subscriptions are required for compliance with your subscription agreements."


Note You need to log in before you can comment on or make changes to this bug.